Subject: Re: linux-next: Tree for May 3

From: Christoph Hellwig <[email-masked]>
Date: Wed, 11 May 2022 16:10:34 +0200

On Wed, May 11, 2022 at 05:08:52PM +0300, Mike Rapoport wrote:
> I guess the default to use memblock_alloc_low() backfires on system with
> physical memory living at 0x1000200000:
> 
> [    0.000000] Early memory node ranges
> [    0.000000]   node   0: [mem 0x0000001000200000-0x000000103fffffff]
> 
> The default limit for "low" memory is 0xffffffff and there is simply no
> memory there.

Is there any way to ask memblock for a specific address limit?
swiotlb just wants <= 32-bit by default.  With the little caveat
that it should be 32-bit addressable for all devices, and we don't
know the physical to dma address mapping at time of allocation.